Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class CIMEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.sun.wbem.client.CIMEvent

public class CIMEvent
extends java.util.EventObject

This class represents the CIM indication that is delivered to the subscriber. as a result of client subscriptions.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`CIMEvent(CIMInstance indication)` Constructs a CIMEvent.

Method Summary
`CIMInstance` | `getIndication()` Returns the embedded indication.
`java.lang.String` | `getSubscriptionAlias()` Gets the subscriptionAlias.
`void` | `setSubscriptionAlias(java.lang.String subscriptionAlias)` Set the subscriptionAlias.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMEvent

    public CIMEvent(CIMInstance indication)

  Constructs a CIMEvent.
  Parameters:
    `indication` - The actual cimIndication. This may be a life cycle indication, meta schema indication or process indication as specified by the CIM Events spec. The source property is populated using the source instance from indication, if present.

Method Detail

### getIndication

    public CIMInstance getIndication()

  Returns the embedded indication.
  Returns:
    CIMInstance representing the indication.

### setSubscriptionAlias

    public void setSubscriptionAlias(java.lang.String subscriptionAlias)

  Set the subscriptionAlias. This is typically invoked by the event service to set the subscriptionAlias to the value (if any) specified by the subscriber in CIM_IndicationSubscription.
  Parameters:
    `subscriptionAlias` - The value of the alias.

### getSubscriptionAlias

    public java.lang.String getSubscriptionAlias()

  Gets the subscriptionAlias. This value is typically set by the event service to the value (if any) specified by the subscriber in CIM_IndicationSubscription.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD